<?php #pgs/xx_personal/class.php

class ProzessePage extends BasePage
{
  private $prefixImage = "upl/Personal/Bildadresse/";
  private $prozessListe;
  
  public function __construct($database, $keyvaluestore, $manager, $info) {
    parent::__construct($database, $keyvaluestore, $manager, $info);
    
    $this->prozessListe = $this->man->objects["Prozesse"];
  }

  protected function remove($id) {
    if (isset($this->man->input["Finish"])) {
      return $this->prozessListe->Finish($id, $this->man->input["Finish"]);
    }
    return 400;
  }
  
  protected function get($id = null) {
    $this->output = $this->prozessListe->Get();
    if (null!==$id && $this->output==[]) {
      return 404;
    }
    return 200;
  }
}

?>